# std::rel_ops Namespace Reference

The generated relational operators are sequestered here. More...

## Functions

template<class _Tp> bool | operator!= (const _Tp &__x, const _Tp &__y)
| Defines `!=` for arbitrary types, in terms of `==`.
template<class _Tp> bool | operator> (const _Tp &__x, const _Tp &__y)
| Defines `>` for arbitrary types, in terms of `<`.
template<class _Tp> bool | operator<= (const _Tp &__x, const _Tp &__y)
| Defines `<=` for arbitrary types, in terms of `<`.
template<class _Tp> bool | operator>= (const _Tp &__x, const _Tp &__y)
| Defines `>=` for arbitrary types, in terms of `<`.

## Detailed Description

The generated relational operators are sequestered here.

## Function Documentation

template<class _Tp>
bool operator!= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) | `[inline]`

Defines `!=` for arbitrary types, in terms of `==`.

Parameters:

  x | A thing.
  y | Another thing.

Returns:
  x != y

This function uses `==` to determine its result.

Definition at line 91 of file stl_relops.h.

template<class _Tp>
bool operator<= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) | `[inline]`

Defines `<=` for arbitrary types, in terms of `<`.

Parameters:

  x | A thing.
  y | Another thing.

Returns:
  x <= y

This function uses `<` to determine its result.

Definition at line 117 of file stl_relops.h.

template<class _Tp>
bool operator> | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) | `[inline]`

Defines `>` for arbitrary types, in terms of `<`.

Parameters:

  x | A thing.
  y | Another thing.

Returns:
  x > y

This function uses `<` to determine its result.

Definition at line 104 of file stl_relops.h.

template<class _Tp>
bool operator>= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) | `[inline]`

Defines `>=` for arbitrary types, in terms of `<`.

Parameters:

  x | A thing.
  y | Another thing.

Returns:
  x >= y

This function uses `<` to determine its result.

Definition at line 130 of file stl_relops.h.